Bug 445484 - pk needs some way to view what's been queued (and remove items)
pk needs some way to view what's been queued (and remove items)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-07 00:40 EDT by Rodd Clarkson
Modified: 2008-05-20 04:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-20 04:13:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2008-05-07 00:40:50 EDT
Description of problem:

I can see any way (other than floating you pointer over the icon in the
notification areas) to see what's been queued in pk.

This information (along with what needs to be done and how much has been done)
would be useful to see.  It would also allow for items to be removed from the
queue and possibly for the reordering of items too.

Yum, on the command line, gives much better output in terms of what's happening,
and some of this goodness should be exposed to the use should they be interested.

This could quite possibly be done by adding a tabbed interface to Add/Remove
software and adding a tab that shows queued items.
Comment 1 Richard Hughes 2008-05-07 06:43:03 EDT
Left click on the status icon?
Comment 2 Rodd Clarkson 2008-05-07 07:48:25 EDT
It might be.

Can I remove an item from this list?

Can I move something up or down the list to raise or lower the priority?

The box that pops up had a lot of progress bars moving back and forth, but
didn't really indicate much other than something was happening.
Comment 3 Bug Zapper 2008-05-14 06:44:50 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Richard Hughes 2008-05-20 04:13:44 EDT
>Can I remove an item from this list?

Click on it and then click cancel.

>Can I move something up or down the list to raise or lower the priority?

Nope, why would you want to do that? Nothing in the PK API would let you change
the ordering of a queued TID.

>The box that pops up had a lot of progress bars moving back and forth, but
>didn't really indicate much other than something was happening.

Sure the dialog box in 0.1.x is pretty crummy. In 0.2.x it's much better,
although I might provide a job interface or something in the future.

Note You need to log in before you can comment on or make changes to this bug.